package com.maniu.http;

///升职  加薪  进大厂  赚更多的钱？
//架构师
//高级开发
//音视频开发
//全栈开发
//混合开发
//大前端工程师
public class MnHttp {
    //请求路径
    //请求参数
    //回调接口
    //返回的结果的类型
    public static<T,M> void sendRequest(String url,T reqeust,Class<M> clazz,IJasonListener iJasonListener){
        //封装请求对象
        IHttpRequest iHttpRequest = new HttpRequest();
        //内部的回调接口
        JasonCallbackListener jasonCallbackListener = new JasonCallbackImpl<>(clazz,iJasonListener);
        //创建HttpTask
        HttpTask httpTask = new HttpTask(iHttpRequest,url,reqeust,jasonCallbackListener);
        //将请求对象加入到队列中
        ThreadManager.getInstance().addTask(httpTask);
    }
}
